//
//  CreepyGirlController.h
//  CreepyGirl
//
//  Created by Curtis Jones on 2008.03.31.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTkit.h>
#import <Quartz/Quartz.h>
#import <WebKit/WebKit.h>
#import "MotionTracker.h"

@interface CreepyGirlController : NSObject
{
	int mFrameCount;
	
	IBOutlet NSWindow				* mPreviewWin;
	IBOutlet QTCaptureView	* mCaptureView;
	IBOutlet NSButton				* mStartBtn;
	IBOutlet NSButton				* mStopBtn;
	IBOutlet NSWindow				* mBrowserWin;
	IBOutlet WebView				* mWebView;
	
	MotionTracker						* mMotionTracker;
	
	QTCaptureSession				* mCaptureSession;
	QTCaptureDevice					* mVideoDevice;
	QTCaptureDeviceInput		* mVideoInput;
	QTCaptureDeviceInput		* mAudioInput;
}

- (IBAction)moveMouse:(id)sender;
- (IBAction)testScan:(id)sender;
- (IBAction)testCompare:(id)sender;
- (IBAction)testLoad:(id)sender;

- (IBAction)startTracking:(id)sender;
- (IBAction)stopTracking:(id)sender;
- (NSBitmapImageRep *)RGBABitmapImageRepWithCImage:(CIImage *)ciImage;

- (void)positionMouseAtScreenPoint:(NSPoint)screenPoint;
- (void)positionMouseAtPoint:(NSPoint)aPoint forView:(NSView *)aView withRect:(NSRect)aRect;

@end
