//
//  BrowserWindow.m
//  CreepyGirl
//
//  Created by Curtis Jones on 2008.04.01.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "BrowserWindow.h"

@implementation BrowserWindow

/**
 * Every time the mouse moves, we get an event callback. The 'x' parameter is
 * the vertical position relative to the bottom of the screen. The 'y' 
 * parameter is the horizontal location relative to the left side of the 
 * screen.
 *
 * Thus, 0,0 is at the bottom-left corner, and max-v,max-h is at the top-right
 * side of the screen.
 *
 */
/*
- (void)mouseMoved:(NSEvent *)theEvent
{
	NSPoint mouseLocation = [NSEvent mouseLocation];
	
	NSLog(@"%s.. x=%d, y=%d", __PRETTY_FUNCTION__, (int)mouseLocation.x, (int)mouseLocation.y);
}
*/

/**
 *
 *
 */
- (void)keyDown:(NSEvent *)theEvent
{
	NSLog(@"%s.. characters = '%@'", __PRETTY_FUNCTION__, [theEvent characters]);
	
	if ([[theEvent characters] isEqualToString:@"q"])
		[mController stopTracking:nil];
	else
		NSLog(@"%s.. ignoring", __PRETTY_FUNCTION__);
	
	[[self nextResponder] keyDown:theEvent];
}

@end
